Skip to main content
GET
/
v1
/
traces
/
{id}
/
remediations
Get the remediation chain for a trace
curl --request GET \
  --url https://api.trulayer.ai/v1/traces/{id}/remediations \
  --header 'Authorization: Bearer <token>'
{
  "steps": [
    {
      "action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "action_type": "retry",
      "status": "pending",
      "created_at": "2023-11-07T05:31:56Z",
      "intended_action_type": "<string>",
      "diff": {
        "action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "original_span_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "remediated_span_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "token_length_delta": 123,
        "latency_delta_ms": 123,
        "embedding_similarity": 123,
        "score_deltas": [
          {
            "eval_rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "rule_name": "<string>",
            "original_score": 123,
            "remediated_score": 123,
            "delta": 123
          }
        ],
        "summary": "<string>",
        "citation_density_delta": 123
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.trulayer.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

SDK API key (tl_...) or Clerk session JWT

Path Parameters

id
string<uuid>
required

Response

Chain of remediation steps

steps
object[]
required